TARGET = key
CURDIR = $(shell pwd)

BUILD_KERNEL = "/lib/modules/$(shell uname -r)/build"

obj-m := $(TARGET).o

.PHONY: all clean test
all:
	$(MAKE) -C $(BUILD_KERNEL) M=$(CURDIR) modules
clean:
	$(MAKE) -C $(BUILD_KERNEL) M=$(CURDIR) clean

load:
	@sudo dmesg -C
	@echo "Load module:"
	sudo insmod $(TARGET).ko

unload:
	@echo "Unload module:"
	sudo rmmod $(TARGET).ko
	@echo ""
	@dmesg

test:
	sudo cat /dev/key
	echo "W" | sudo tee /dev/key
	sudo cat /dev/key
	sudo cat /dev/key
